Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.soap.axis.ser
Class AttributeDeser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  mx4j.tools.remote.soap.axis.ser.AxisDeserializer
                      mx4j.tools.remote.soap.axis.ser.AttributeDeser

All Implemented Interfaces:
  org.apache.axis.encoding.Callback, org.xml.sax.ContentHandler, org.apache.axis.encoding.Deserializer, javax.xml.rpc.encoding.Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class AttributeDeser
extends AxisDeserializer

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`AttributeDeser()`

Method Summary
`protected java.lang.Object` | `createObject()`
`void` | `onSetChildValue(java.lang.Object value, java.lang.Object hint)`

Methods inherited from class mx4j.tools.remote.soap.axis.ser.AxisDeserializer
`getLogger, onEndElement, onStartChild, onStartElement, setChildValue`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDeser

    public AttributeDeser()

Method Detail

### onSetChildValue

    public void onSetChildValue(java.lang.Object value,
                                java.lang.Object hint)
                         throws org.xml.sax.SAXException

  Specified by:
    `onSetChildValue` in class `AxisDeserializer`
  Throws:
    `org.xml.sax.SAXException`

### createObject

    protected java.lang.Object createObject()
                                     throws org.xml.sax.SAXException

  Specified by:
    `createObject` in class `AxisDeserializer`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.